Package Details: monodevelop-unity 1:2017.2.0f3+20171013-3

Git Clone URL: https://aur.archlinux.org/unity-editor.git (read-only)
Package Base: unity-editor
Description: Unity's fork of MonoDevelop.
Upstream URL: https://unity3d.com/
Keywords: develop engine gamedev unity3d
Licenses: custom
Conflicts: unity3d
Replaces: unity3d
Submitter: LeonardK
Maintainer: spacepluk (DoctorJellyface, fwalch, z3ntu)
Last Packager: spacepluk
Votes: 114
Popularity: 3.519534
First Submitted: 2015-08-26 18:08
Last Updated: 2017-10-15 10:57

Pinned Comments

DoctorJellyface commented on 2016-11-07 21:01

This is not the beta package! Please do not flag it out of date if the new version has the letter "b" in it. Instead please look at https://aur.archlinux.org/packages/unity-editor-beta/

Latest Comments

veridiam commented on 2017-10-17 21:08

Suggest to add a .desktop entry to overwrite the one rolled by the install script, which has some issues.

[Desktop Entry]
Version=2017.2.0f3
Name=Unity
Exec=/usr/bin/unity-editor
Icon=unity-editor-icon
Terminal=false
Type=Application
StartupNotify=true
Categories=Development;IDE;Application;
MimeType=x-scheme-handler/com.unity3d.kharma;
StartupWMClass=Unity

spacepluk commented on 2017-10-08 16:31

@Fjellvang they raised the requirements at some point during 5.x and some older GPUs stopped working. To check if your GPU is supported try running:

glxinfo | grep "core profile version"

I think the minimum was 3.2.

Fjellvang commented on 2017-10-08 16:10

@spacepluk As far as i'm aware i have OpenGL, Unity used to work a few months back. But im not sure how to debug it..

Hering commented on 2017-10-02 20:39

Not sure why this package is trying to call these files:
[CEF] undefined in file:///%2Fhome%2Falek%2F.local%2Fshare%2Funity3d%2FPackages%2Fnode_modules%2Funity-editor-home%2Fdist/assets/unity-editor-home.js at line 39
[0930/181253:ERROR:connection.cc(1060)] DOMStorageDatabase sqlite error 14, errno -2: unable to open database file, sql: -- sqlite3_open()
[0930/181253:ERROR:dom_storage_database.cc(163)] Unable to open DOM storage database at /home/alek/.config/unity3d/Unity/Browser/Cache/Local Storage/file__0.localstorage error: sql::Connection has no connection.
IsTimeToCheckForNewEditor: Update time 0 current 1506787980
/home/alek/Documents/Unity/PIngPong

Just to clarify: /home/alek is not on my computer nor has it ever been

spacepluk commented on 2017-10-01 17:03

@Fjellvang it looks like it's having trouble creating the OpenGL context. Unity needs at least OpenGL 3.2 if I remember correctly.

@medicineman25 can you uninstall maya and try again?

Fjellvang commented on 2017-09-30 16:22

@medicineman25 I'm also seg faulting on startup. Tried reinstalling unity to no avail.


This is my Crash log:

Desktop is 1920 x 1080 @ 60 Hz
No matching FBConfig found

LICENSE SYSTEM [2017930 18:12:52] No start/stop license dates set

LICENSE SYSTEM [2017930 18:12:52] Next license update check is after 2017-01-20T21:12:01


COMMAND LINE ARGUMENTS:
/opt/Unity/Editor/Unity
-no-throttle-updates
[0930/181252:ERROR:browser_main_loop.cc(161)] Running without the SUID sandbox! See https://code.google.com/p/chromium/wiki/LinuxSUIDSandboxDevelopment for more information on developing with the sandbox on.
[0930/181252:ERROR:gl_surface_glx.cc(328)] glxQueryVersion failed
[0930/181252:ERROR:gl_surface_x11.cc(57)] GLSurfaceGLX::InitializeOneOff failed.
[0930/181252:ERROR:renderer_main.cc(227)] Running without renderer sandbox
[0930/181252:ERROR:gpu_process_transport_factory.cc(402)] Failed to establish GPU channel.
[CEF] undefined in file:///%2Fhome%2Falek%2F.local%2Fshare%2Funity3d%2FPackages%2Fnode_modules%2Funity-editor-home%2Fdist/assets/unity-editor-home.js at line 39
[0930/181253:ERROR:connection.cc(1060)] DOMStorageDatabase sqlite error 14, errno -2: unable to open database file, sql: -- sqlite3_open()
[0930/181253:ERROR:dom_storage_database.cc(163)] Unable to open DOM storage database at /home/alek/.config/unity3d/Unity/Browser/Cache/Local Storage/file__0.localstorage error: sql::Connection has no connection.
IsTimeToCheckForNewEditor: Update time 0 current 1506787980
/home/alek/Documents/Unity/PIngPong
UpdateMenuTitleForLanguage: 10
Loading GUID <-> Path mappings...0.000099 seconds
Loading Asset Database...0.001774 seconds
Audio: FMOD Profiler initialized on port 54900
AudioManager: Using PulseAudio: Default Output Device
AssetDatabase consistency checks...0.048681 seconds
Refreshing native plugins compatible for Editor in 0.00 ms, found 0 plugins.
Preloading 0 native plugins for Editor in 0.00 ms.
Initialize engine version: 2017.1.1xf1Linux (f4fc8fd4067d)
Assertion failed on expression: 'context.IsValid()'

(Filename: /home/builduser/buildslave/unity/build/Runtime/GfxDevice/opengl/GLContext.cpp Line: 70)

nloewen commented on 2017-09-25 16:29

@memelord You can use the run_scaled tool to scale non-hidpi apps.

https://aur.archlinux.org/packages/run_scaled-git/

medicineman25 commented on 2017-09-24 14:06

Anyone else getting segfaults upon launch?

terminate called after throwing an instance of 'std::logic_error'
what(): basic_string::_S_construct null not valid
Stack trace:
gsignal
abort
__gnu_cxx::__verbose_terminate_handler()
/usr/lib/libstdc++.so.6(+0x8c8e6) [0x7ffa9dbbb8e6]
/usr/lib/libstdc++.so.6(+0x8c933) [0x7ffa9dbbb933]
/usr/lib/libstdc++.so.6(+0x8cb88) [0x7ffa9dbbbb88]
std::__throw_logic_error(char const*)
char* std::string::_S_construct<char const*>(char const*, char const*, std::allocator<char> const&, std::forward_iterator_tag)
std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(char const*, std::allocator<char> const&)
/usr/autodesk/maya2017/lib/libMC3.so.9(+0x25d9f) [0x7ffa98c9cd9f]
/usr/autodesk/maya2017/lib/libMC3.so.9(+0x83b10) [0x7ffa98cfab10]
CMLFacade::Initialize(CMLWaypoint*, wchar_t const*, wchar_t const*, int, unsigned int, long long, long long, wchar_t const*, bool)
CMLFacade::Initialize(CMLWaypoint*, wchar_t const*, wchar_t const*, int, unsigned int, long long, long long, wchar_t const*)
TCIPClient::initialize()
TCIPClient::TCIPClient()
TCIPClient::theOne()
TbaseApp::cipReportStartup()
TbaseApp::initGeneral()
/usr/autodesk/maya2017/bin/maya.bin() [0x4163d2]
Tapplication::start()
/usr/autodesk/maya2017/bin/maya.bin() [0x40ef90]
main
__libc_start_main
/usr/autodesk/maya2017/bin/maya.bin() [0x40e82d]

Segmentation fault (core dumped)

spacepluk commented on 2017-09-10 10:26

@memelord I think they don't really support HiDPI anywhere at the moment. It works on Windows/OSX because they rescale non-HiDPI apps automatically. I read somewhere that they are working on proper HiDPI support, so hopefully that will make it into the linux builds at some point.

When I had a laptop with a QHD+ screen I just changed the screen resolution while I was working with unity. It't not the best but it worked for me :)

memelord commented on 2017-09-10 10:03

@spacepluk I tried the 5.5f version a while back and it didnt support hidpi hence I had to uninstall it and switch to windows. deleted my windows partition now but I was hoping maybe they implemented in the new beta.

All comments